Subject: Re: bug#52297: 29.0.50; Error in c-force-redisplay timer

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Feb 2022 21:00:03 +0200

> Date: Tue, 8 Feb 2022 18:36:56 +0000
> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>   martin rudalics <[email-masked]>
> From: Alan Mackenzie <[email-masked]>
> 
> > >>   emacs -Q
> > >>   C-x C-f some-C-file.c RET
> 
> > >> and then press "M-x".  Observe the following error message in the echo
> > >> area, displayed after "M-x":
> 
> > >>   Error running timer ‘c-force-redisplay’: (error "Font-lock trying to use keywords before setting them up")
> 
> > > OK, I'll look at it.
> 
> > Alan, this was nine weeks ago.  Have you made any progress here?  (I
> > don't see the issue myself, but it's apparently stopping Martin from
> > using recent Emacs builds.)
> 
> Sorry, I lost this one.  I've just configured a build on GNU with:
> 
>     $ CFLAGS='-O0 -g3' ./configure --enable-checking=yes,glyphs --with-gpm
> 
> , and built it.  When I do
> 
>     $ emacs -Q
>     C-x C-f src/xdisp.c
>     M-x end-of-buffer RET
> 
> , I don't see the bug at all.
> 
> Eli or Martin, is this bug still showing itself?

No, I don't.  I guess it was fixed in the meantime.  So I'm closing
this bug.

Thanks.